with GNATCOM.Dispinterface;

package MSHTML.IHTMLTextRangeMetrics_Interface is

   type IHTMLTextRangeMetrics_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLTextRangeMetrics_Type);

   function Pointer (This : IHTMLTextRangeMetrics_Type)
     return Pointer_To_IHTMLTextRangeMetrics;

   procedure Attach (This    : in out IHTMLTextRangeMetrics_Type;
                     Pointer : in     Pointer_To_IHTMLTextRangeMetrics);

   function Get_offsetTop
     (This : IHTMLTextRangeMetrics_Type)
     return Interfaces.C.long;

   function Get_offsetLeft
     (This : IHTMLTextRangeMetrics_Type)
     return Interfaces.C.long;

   function Get_boundingTop
     (This : IHTMLTextRangeMetrics_Type)
     return Interfaces.C.long;

   function Get_boundingLeft
     (This : IHTMLTextRangeMetrics_Type)
     return Interfaces.C.long;

   function Get_boundingWidth
     (This : IHTMLTextRangeMetrics_Type)
     return Interfaces.C.long;

   function Get_boundingHeight
     (This : IHTMLTextRangeMetrics_Type)
     return Interfaces.C.long;

end MSHTML.IHTMLTextRangeMetrics_Interface;

